Skip to navigation

Update Multiple Metafields

Update multiple metafields.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Request

This endpoint expects a list of objects.
permission_setenumRequired

Determines the visibility and writeability of the field by other API consumers.

ValueDescription
app_onlyPrivate to the app that owns the field.
readVisible to other API consumers.
writeOpen for reading and writing by other API consumers.
read_and_sf_accessVisible to other API consumers, including on the storefront.
write_and_sf_accessOpen for reading and writing by other API consumers, including on the storefront.
Allowed values:
namespacestringRequired1-64 characters
Namespace for the metafield, for organizational purposes.
keystringRequired1-64 characters

The name of the field, for example: location_id, color.

valuestringRequired1-65535 characters

The value of the field, for example: 1, blue.

idintegerRequired
The ID of metafield to update.
descriptionstringOptional0-255 characters
Description for the metafields.

Response

Response payload for the BigCommerce API.
datalist of objectsOptional
errorslist of anyOptional
Empty for 200 responses.
metaobjectOptional
Additional data about the response.

Errors

400
Bad Request Error
422
Unprocessable Entity Error